#include <iostream>
#include <vector>
using namespace std;
int n, m, a [256][256];
bool used [256];
vector <int> g [256];
vector <vector <int> > cicles [256];
int edges [256], all = 0;
void dfs (int i){
    vector <int> c;
    int j = i;
    do{
        for (int k : g [j]){
            if (a [j][k] > 0){
                c.push_back (k);
                a [j][k] --;
                a [k][j] --;
                edges [j] --;
                edges [k] --;
                all -= 2;
                used [k] = 1;
                j = k;
                break;
            }
        }
    }while (j != i);
    cicles [i].push_back (c);
}
bool visited [256];
void ans (int i){
    visited [i] = 1;
    int sz = cicles [i].size ();
    for (int j = 0; j < sz; j ++){
        for (int k : cicles [i][j]){
            cout << ' ' << k;
            if (!visited [k]) ans (k);
        }
    }
}
int main (){

    ios::sync_with_stdio (false);
    cin.tie (nullptr);
    cin >> n >> m;
    for (int i = 0; i < m; i ++){
        int u, v;
        cin >> u >> v;
        a [u][v] ++;
        a [v][u] ++;
        g [u].push_back (v);
        g [v].push_back (u);
        edges [u] ++;
        edges [v] ++;
        all += 2;
    }
    used [1] = 1;
    while (all > 0){
        int i;
        for (i = 1; i <= n; i ++){
            if (used [i] && edges [i] > 0)
                break;
        }
        if (i > n) break;
        dfs (i);
    }
    cout << m << '\n' << 1;
    ans (1);
    cout << '\n';

    return 0;
}
