#include<iostream>
#include<algorithm>
#include<cmath>

using namespace std;

long long x[100001];
long long y[100001];
long long n;

const long long maxi=1000000000;

long long sumx,sumy,res,res2;

long long resY(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(val+i-y[i]);

    return r;
}

long long resX(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(val+i-x[i]);

    return r;
}

int main ()
{
    long long i,p;

    ios::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n;

    for(i=0;i<n;i++)
        cin>>x[i]>>y[i];

    sort(x,x+n);
    sort(y,y+n);

    for(i=0;i<n;i++)
    {
        sumx+=x[i];
        sumy+=y[i];
    }

    p=sumx/n;

    if(sumx%n>n/2)
        p++;

    //cout<<p<<endl;

    for(i=0;i<n;i++)
        res+=abs(x[i]-p);

    long long l,r,midl,midr;

    l=-maxi;
    r=maxi;

    //cout<<res<<" res"<<endl;

    while(r-l>2)
    {


        midl=l+(r-l)/3;
        midr=r-(r-l)/3;

        //cout<<midl<<" "<<midr<<endl;
        //cout<<resY(midl)<<" || "<<resY(midr)<<endl;

        if(resY(midl)<=resY(midr))
            r=midr;
        else
            l=midl;
    }

    //cout<<l<<" -- "<<r<<endl;

    if(r-l==0)
        res+=resY(l);
    else
    {
        if(r-l==1)
            res+=min(resY(l),resY(r));
        else
            res+=min(resY(l),min(resY(l+1),resY(r)));
    }

    p=sumy/n;

    if(sumy%n>n/2)
        p++;

    for(i=0;i<n;i++)
        res2+=abs(y[i]-p);

    //cout<<res2<<" wowowowo "<<p<<endl;

    //cout<<res2<<endl;

    l=-maxi;
    r=maxi;

    while(r-l>2)
    {
        midl=l+(r-l)/3;
        midr=r-(r-l)/3;

        if(resX(midl)<=resX(midr))
            r=midr;
        else
            l=midl;
    }

    if(r-l==0)
        res2+=resX(l);
    else
    {
        if(r-l==1)
            res2+=min(resX(l),resX(r));
        else
            res2+=min(resX(l),min(resX(l+1),resX(r)));
    }

    //cout<<res<<" "<<res2<<endl;

    cout<<min(res,res2)<<"\n";

    return 0;
}
/*
10
6 2
9 6
9 7
3 1
3 4
12 1
9 1
14 2
9 4
14 6
*/
