#include<iostream>

using namespace std;

const int N=200007;

const int Maxi=1001;

int n;
int a[N];
int st1[4*N],st2[4*N],st3[4*N];

struct answer
{
    int mini,cnt,g;
};

int gcd(int a,int b)
{
    if(b==0)
        return a;

    return gcd(b,a%b);
}

void init(int ind,int l,int r)
{
    if(l==r)
    {
        st1[ind]=a[l];
        st2[ind]=1;
        st3[ind]=a[l];
        return;
    }

    int mid=(l+r)/2;

    init(2*ind,l,mid);
    init(2*ind+1,mid+1,r);

    if(st1[2*ind]==st1[2*ind+1])
    {
        st1[ind]=st1[2*ind];
        st2[ind]=st2[2*ind]+st2[2*ind+1];
    }
    else
    {
        if(st1[2*ind]<st1[2*ind+1])
        {
            st1[ind]=st1[2*ind];
            st2[ind]=st2[2*ind];
        }
        else
        {
            st1[ind]=st1[2*ind+1];
            st2[ind]=st2[2*ind+1];
        }
    }

    st3[ind]=gcd(st3[2*ind],st3[2*ind+1]);
}

answer query(int ind,int l,int r,int sl,int sr)
{
    answer ans,ans2,res;

    if(l>sr || r<sl)
    {
        ans.cnt=0;
        ans.mini=Maxi;
        ans.g=0;

        return ans;
    }
    if(sl<=l && r<=sr)
    {
        ans.cnt=st2[ind];
        ans.g=st3[ind];
        ans.mini=st1[ind];

        return ans;
    }

    int mid=(l+r)/2;

    ans=query(2*ind,l,mid,sl,sr);
    ans2=query(2*ind+1,mid+1,r,sl,sr);

    if(ans.mini==ans2.mini)
    {
        res.mini=ans.mini;
        res.cnt=ans.cnt+ans2.cnt;
    }
    else
    {
        if(ans.mini<ans2.mini)
        {
            res.mini=ans.mini;
            res.cnt=ans.cnt;
        }
        else
        {
            res.mini=ans2.mini;
            res.cnt=ans2.cnt;
        }
    }

    res.g=gcd(ans.g,ans2.g);

    return res;
}

int main ()
{
    int i,q,x,y;
    answer ans;

    ios::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n;

    for(i=1;i<=n;i++)
        cin>>a[i];

    init(1,1,n);

    cin>>q;

    for(i=0;i<q;i++)
    {
        cin>>x>>y;

        ans=query(1,1,n,x,y);

        cout<<ans.mini<<" "<<ans.cnt<<" "<<ans.g<<"\n";
    }

    return 0;
}
/*
13
7 2 9 4 4 6 6 2 2 2 3 10 11
3
1 13
4 6
1 1
*/
