#include<iostream>
#include<algorithm>
#include<cmath>

using namespace std;

#define N 100001

long long x[N];
long long y[N];
long long n;

const long long maxi=1000000000;

long long sumx,sumy,res,res2;

long long resY(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(val+i-y[i]);

    return r;
}

long long resX(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(val+i-x[i]);

    return r;
}

long long valX(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(x[i]-val);

    return r;
}

long long valY(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(y[i]-val);

    return r;
}


int main ()
{
    long long i,p;

    ios::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n;

    for(i=0;i<n;i++)
        cin>>x[i]>>y[i];

    sort(x,x+n);
    sort(y,y+n);


    long long l,r,midl,midr;

    l=0;
    r=maxi;

    while(r-l>2)
    {
        midl=l+(r-l)/3;
        midr=r-(r-l)/3;

        if(valX(midl)<=valX(midr))
            r=midr;
        else
            l=midl;
    }

    if(r-l==0)
        res+=valX(l);
    else
    {
        if(r-l==1)
            res+=min(valX(l),valX(r));
        else
            res+=min(valX(l),min(valX(l+1),valX(r)));
    }



    l=-N;
    r=maxi;

    //cout<<res<<" res"<<endl;

    while(r-l>2)
    {
        midl=l+(r-l)/3;
        midr=r-(r-l)/3;

        //cout<<midl<<" "<<midr<<endl;
        //cout<<resY(midl)<<" || "<<resY(midr)<<endl;

        if(resY(midl)<=resY(midr))
            r=midr;
        else
            l=midl;
    }

    //cout<<l<<" -- "<<r<<endl;

    if(r-l==0)
        res+=resY(l);
    else
    {
        if(r-l==1)
            res+=min(resY(l),resY(r));
        else
            res+=min(resY(l),min(resY(l+1),resY(r)));
    }

    l=0;
    r=maxi;

    while(r-l>2)
    {
        midl=l+(r-l)/3;
        midr=r-(r-l)/3;

        if(valY(midl)<=valY(midr))
            r=midr;
        else
            l=midl;
    }

    if(r-l==0)
        res2+=valY(l);
    else
    {
        if(r-l==1)
            res2+=min(valY(l),valY(r));
        else
            res2+=min(valY(l),min(valY(l+1),valY(r)));
    }
    //cout<<res2<<endl;

    l=-N;
    r=maxi;

    while(r-l>2)
    {
        midl=l+(r-l)/3;
        midr=r-(r-l)/3;

        if(resX(midl)<=resX(midr))
            r=midr;
        else
            l=midl;
    }

    if(r-l==0)
        res2+=resX(l);
    else
    {
        if(r-l==1)
            res2+=min(resX(l),resX(r));
        else
            res2+=min(resX(l),min(resX(l+1),resX(r)));
    }

    //cout<<res<<" "<<res2<<endl;

    cout<<min(res,res2)<<"\n";

    return 0;
}
/*
10
6 2
9 6
9 7
3 1
3 4
12 1
9 1
14 2
9 4
14 6
*/
