#include <bits/stdc++.h>
#define MAXN 200003
#define INF 1000000003
#define endl '\n'
using namespace std;
struct triple
{
    int min_el, cnt_min, nod;
};
triple make_triple(int min_el, int cnt_min, int nod)
{
    triple ans;
    ans.min_el = min_el;
    ans.cnt_min = cnt_min;
    ans.nod = nod;
    return ans;
}
triple tr[4*MAXN];
int n;
int arr[MAXN];
int gcd(int a, int b)
{
    while (b)
    {
        int r = a % b;
        a = b;
        b = r;
    }
    return a;
}
void build(int v, int l, int r)
{
    if (l == r)
    {
        tr[v].min_el = arr[l];
        tr[v].cnt_min = 1;
        tr[v].nod = arr[l];
        return;
    }
    int mid = (l + r) >> 1;
    build(v << 1, l, mid);
    build((v << 1) + 1, mid+1, r);
    auto first = tr[v << 1];
    auto second = tr[(v << 1) + 1];
    if (first.min_el < second.min_el)
    {
        tr[v].min_el = first.min_el;
        tr[v].cnt_min = first.cnt_min;
    }
    if (second.min_el < first.min_el)
    {
        tr[v].min_el = second.min_el;
        tr[v].cnt_min = second.cnt_min;
    }
    if (second.min_el == first.min_el)
    {
        tr[v].min_el = first.min_el;
        tr[v].cnt_min = first.cnt_min + second.cnt_min;
    }
    tr[v].nod = gcd(first.nod, second.nod);
}
triple get(int v, int l, int r, int x, int y)
{
    if (l > y || r < x) return make_triple(INF, INF, INF);
    if (l >= x && r <= y) return tr[v];
    int mid = (l + r) >> 1;
    auto first = get(v << 1, l, mid, x, y);
    auto second = get((v << 1) + 1, mid+1, r, x, y);
    triple ans;
    if (first.min_el < second.min_el)
    {
        ans.min_el = first.min_el;
        ans.cnt_min = first.cnt_min;
    }
    else if (first.min_el > second.min_el)
    {
        ans.min_el = second.min_el;
        ans.cnt_min = second.cnt_min;
    }
    else
    {
        ans.min_el = first.min_el;
        ans.cnt_min = first.cnt_min + second.cnt_min;
    }
    if (first.nod == INF)
        ans.nod = second.nod;
    else
        if (second.nod == INF)
        ans.nod = first.nod;
    else
        ans.nod = gcd(first.nod, second.nod);
    return ans;
}
int q;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin >> n;
    for (int i = 1; i <= n; i++)
        cin >> arr[i];
        build(1, 1, n);
    cin >> q;
    for (int i = 1; i <= q; i++)
    {
        int l, r;
        cin >> l >> r;
        auto ans = get(1, 1, n, l, r);
        cout << ans.min_el << " " << ans.cnt_min << " " << ans.nod << endl;
    }
}
/*
13
7 2 9 4 4 6 6 2 2 2 3 10 11
3
1 13
4 6
1 1
*/
