#include<iostream>
#include<cmath>
#include<algorithm>
struct soldier{
    int x,y;
};
soldier sols[100000];
int n;
int checkx1(int x){
    int val1=0,val2=0,val3=0;
    for(int i=0;i<n;i++){
        val1+=std::abs(sols[i].x-(x-1));
        val2+=std::abs(sols[i].x-x);
        val3+=std::abs(sols[i].x-(x+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
int checky1(int y){
    int val1=0,val2=0,val3=0;
    for(int i=0;i<n;i++){
        val1+=std::abs(sols[i].y-(y-1));
        val2+=std::abs(sols[i].y-y);
        val3+=std::abs(sols[i].y-(y+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
int checkx2(int x){
    int val1=0,val2=0,val3=0;
    for(int i=0;i<n;i++){
        val1+=std::abs(sols[i].x-(x+i-1));
        val2+=std::abs(sols[i].x-(x+i));
        val3+=std::abs(sols[i].x-(x+i+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
int checky2(int y){
    int val1=0,val2=0,val3=0;
    for(int i=0;i<n;i++){
        val1+=std::abs(sols[i].y-(y+i-1));
        val2+=std::abs(sols[i].y-(y+i));
        val3+=std::abs(sols[i].y-(y+i+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
bool cmpx(soldier a,soldier b){
    return a.x<b.x;
}
bool cmpy(soldier a,soldier b){
    return a.y<b.y;
}
int main(){
    std::cin>>n;
    for(int i=0;i<n;i++){
        std::cin>>sols[i].x>>sols[i].y;
    }
    int x1,y1,x2,y2;
    int l=-100000,r=100000;
    while(l<r){
        int m=(l+r)/2;
        int res=checkx1(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    x1=l;
    l=-100000,r=100000;
    while(l<r){
        int m=(l+r)/2;
        int res=checky1(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    y1=l;
    std::sort(sols,sols+n,cmpx);
    l=-100000,r=100000;
    while(l<r){
        int m=(l+r)/2;
        int res=checkx2(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    x2=l;
    std::sort(sols,sols+n,cmpy);
    l=-100000,r=100000;
    while(l<r){
        int m=(l+r)/2;
        int res=checky2(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    y2=l;
    int res1=0,res2=0;
    for(int i=0;i<n;i++){
        res1+=std::abs(sols[i].x-x1);
        res2+=std::abs(sols[i].y-y1);
        res1+=std::abs(sols[i].y-y2-i);
    }
    std::sort(sols,sols+n,cmpx);
    for(int i=0;i<n;i++){
        res2+=std::abs(sols[i].x-x2-i);
    }
    std::cout<<std::min(res1,res2)<<std::endl;
    return 0;
}
