#include<iostream>
#include<cmath>
#include<algorithm>
struct soldier{
    long long x,y;
};
soldier sols[100000];
long long n;
long long checkx1(long long x){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].x-(x-1));
        val2+=std::abs(sols[i].x-x);
        val3+=std::abs(sols[i].x-(x+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
long long checky1(long long y){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].y-(y-1));
        val2+=std::abs(sols[i].y-y);
        val3+=std::abs(sols[i].y-(y+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
long long checkx2(long long x){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].x-(x+i-1));
        val2+=std::abs(sols[i].x-(x+i));
        val3+=std::abs(sols[i].x-(x+i+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
long long checky2(long long y){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].y-(y+i-1));
        val2+=std::abs(sols[i].y-(y+i));
        val3+=std::abs(sols[i].y-(y+i+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
bool cmpx(soldier a,soldier b){
    return a.x<b.x;
}
bool cmpy(soldier a,soldier b){
    return a.y<b.y;
}
int main(){
    std::cin>>n;
    double sumx=0,sumy=0;
    for(long long i=0;i<n;i++){
        std::cin>>sols[i].x>>sols[i].y;
        sumx+=sols[i].x;
        sumy+=sols[i].y;
    }
    long long x1,y1,x2,y2;
    std::sort(sols,sols+n,cmpx);
    x1=sols[n/2].x;
    x2=std::round(sumx/n)-n/2;
    std::sort(sols,sols+n,cmpy);
    y1=sols[n/2].y;
    y2=std::round(sumy/n)-n/2;
    long long res1=0,res2=0;
    for(long long i=0;i<n;i++){
        res1+=std::abs(sols[i].x-x1);
        res2+=std::abs(sols[i].y-y1);
        res1+=std::abs(sols[i].y-y2-i);
    }
    std::sort(sols,sols+n,cmpx);
    for(long long i=0;i<n;i++){
        res2+=std::abs(sols[i].x-x2-i);
    }
    std::cout<<std::min(res1,res2)<<std::endl;
    return 0;
}
