#include<iostream>
#include<map>
#include<algorithm>
long long interval[1000001];
long long gcds[1000001];
long long nums[100001];
long long numcnt[200001][1001];
long long build(int l,int r,int i,int lvl){
    if(l==r){
        interval[i]=nums[l];
        return interval[i];
    }
    return interval[i]=std::min(build((l+r)/2+1,r,2*i+2,lvl+1),build(l,(l+r)/2,2*i+1,lvl+1));
}
long long maximum(int l,int r,int tl,int tr,int i){
    if(r<tl || l>tr){
        return 1001;
    }
    if(l>=tl && r<=tr){
        return interval[i];
    }
    return std::min(maximum(l,(l+r)/2,tl,tr,2*i+1),maximum((l+r)/2+1,r,tl,tr,2*i+2));
}
long long buildgcd(int l,int r,int i,int lvl){
    if(l==r){
        gcds[i]=nums[l];
        return gcds[i];
    }
    return gcds[i]=std::__gcd(buildgcd((l+r)/2+1,r,2*i+2,lvl+1),buildgcd(l,(l+r)/2,2*i+1,lvl+1));
}
long long gcdise(int l,int r,int tl,int tr,int i){
    if(r<tl || l>tr){
        return 0;
    }
    if(l>=tl && r<=tr){
        return gcds[i];
    }
    return std::__gcd(gcdise(l,(l+r)/2,tl,tr,2*i+1),gcdise((l+r)/2+1,r,tl,tr,2*i+2));
}
int main(){
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    int n;
    std::cin>>n;
    for(int i=0;i<n;i++){
        std::cin>>nums[i];
        for(int j=1;j<=1000;j++){
            numcnt[i+1][j]=numcnt[i][j];
        }
        numcnt[i+1][nums[i]]++;
    }
    build(0,12,0,0);
    buildgcd(0,12,0,0);
    int q;
    std::cin>>q;
    int a,b;
    int cnter=1;
    for(int i=0;i<q;i++){
        std::cin>>a>>b;
        a--;
        b--;
        int m=maximum(0,12,a,b,0);
        std::cout<<m<<" "<<numcnt[b+1][m]-numcnt[a][m]<<" "<<gcdise(0,12,a,b,0)<<"\n";
    }
    std::cout.flush();
    return 0;
}
