#include<iostream>
#include<algorithm>
long long nums[200001];
long long numcnt[200001][1002];
long long tablemin[200001][100];
long long tablegcd[200001][100];
long long logs[2000000];
long long calcmin(int l,int r){
    int diff=r-l+1;
    int cnt=logs[diff];
    return std::min(tablemin[l][cnt],tablemin[r-(1<<cnt)+1][cnt]);
}
long long calcgcd(int l,int r){
    int diff=r-l+1;
    int cnt=logs[diff];
    return std::__gcd(tablegcd[l][cnt],tablegcd[r-(1<<cnt)+1][cnt]);
}
int main(){
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    int n;
    std::cin>>n;
    logs[1]=0;
    int prev=1;
    for(int i=2;i<200001;i++){
        logs[i]=logs[i-1];
        if(i==prev*2){
            prev=i;
            logs[i]++;
        }
    }
    for(int i=0;i<n;i++){
        std::cin>>nums[i];
        tablemin[i][0]=nums[i];
        tablegcd[i][0]=nums[i];
        for(int j=1;j<=1000;j++){
            numcnt[i+1][j]=numcnt[i][j];
        }
        numcnt[i+1][nums[i]]++;
    }
    for(int i=1,j=2;j<=n;i++,j*=2){
        for(int k=0;k+j<=n;k++){
            tablemin[k][i]=std::min(tablemin[k][i-1],tablemin[k+j/2][i-1]);
            tablegcd[k][i]=std::__gcd(tablegcd[k][i-1],tablegcd[k+j/2][i-1]);
        }
    }
    int q;
    std::cin>>q;
    int a,b;
    for(int i=0;i<q;i++){
        std::cin>>a>>b;
        a--;
        b--;
        int m=calcmin(a,b);
        std::cout<<m<<" "<<numcnt[b+1][m]-numcnt[a][m]<<" "<<calcgcd(a,b)<<"\n";
    }
    std::cout.flush();
    return 0;
}
