#include <iostream>
#include <algorithm>
using namespace std;
int rmq [200005][20], idx [200005][20], nod [200005][20];
int n, a [200005];
pair <int, int> p [200005];
int euclid (int a, int b){
    if (a < b) swap (a, b);
    while (b > 0){
        int c = a % b;
        a = b;
        b = c;
    }
    return a;
}
int Log [200005];
void query (int l, int r){
    int x = (r - l + 1), k = Log [x], i, m;
    if (rmq [l][k] <= rmq [r - (1 << k) + 1][k]){
        m = rmq [l][k];
        i = idx [l][k];
    }
    else{
        m = rmq [r - (1 << k) + 1][k];
        i = idx [r - (1 << k) + 1][k];
    }
    int ii = lower_bound (p, p + n, make_pair(m, i)) - p;
    int j = upper_bound (p, p + n, make_pair (m, r)) - p - 1;
    cout << m << ' ' << j - ii + 1 << ' ';
    cout << euclid (nod [l][k], nod [r - (1 << k) + 1][k]) << '\n';
}
int main (){

   ios::sync_with_stdio (false);
   cin.tie (nullptr);
   cin >> n;
   for (int i = 0; i < n; i ++){
       cin >> a [i];
       p [i].first = a [i];
       p [i].second = i;
       rmq [i][0] = a [i];
       idx [i][0] = i;
       nod [i][0] = a [i];

   }
   sort (p, p + n);
   Log [1] = 0;
   int ei = 2, br = 1;
   while (ei <= n){
       int eiei = ei << 1;
       for (int i = ei; i <= n && i < eiei; i ++){
           Log [i] = br;
       }
       br ++;
       ei = eiei;
   }
   int k = 1;
   for (int i = 1; i <= Log [n]; i ++){
        for (int j = 0; j <= n - (k << 1); j ++){
            nod [j][i] = euclid (nod [j][i-1], nod [j + k][i-1]);
            if (rmq [j][i - 1] <= rmq [j+k][i-1]){
                rmq [j][i] = rmq [j][i - 1];
                idx [j][i] = idx [j][i - 1];
            }
            else{
                rmq [j][i] = rmq [j + k][i - 1];
                idx [j][i] = idx [j + k][i - 1];
            }
        }
        k = k << 1;
   }

   int q;
   cin >> q;
   for (int i = 0; i < q; i ++){
        int l, r;
        cin >> l >> r;
        query (l - 1, r - 1);
   }

    return 0;
}
