#include<iostream>
#include<algorithm>
#include<cmath>

using namespace std;

long long x[100001];
long long y[100001];
long long n;

const long long maxi=1000000000;

long long sumx,sumy,res,res2;

long long resY(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(val+i-y[i]);

    return r;
}

long long resX(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(val+i-x[i]);

    return r;
}

long long valX(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(x[i]-val);

    return r;
}

long long valY(long long val)
{
    long long r=0,i;

    for(i=0;i<n;i++)
        r+=abs(y[i]-val);

    return r;
}


int main ()
{
    long long i,p;

    ios::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n;

    for(i=0;i<n;i++)
        cin>>x[i]>>y[i];

    sort(x,x+n);
    sort(y,y+n);

    for(i=0;i<n;i++)
    {
        sumx+=x[i];
        sumy+=y[i];
    }


    long long l,r,midl,midr;


    l=0;
    r=maxi;

    while(r!=l)
    {
        midl=(l+r+1)/2;

        if(valX(l)<valX(r))
            r=midr-1;
        else
            l=midl;
    }


    res+=valX(l);




    l=-maxi;
    r=maxi;

    //cout<<res<<" res"<<endl;

    while(r!=l)
    {
        midl=(l+r+1)/2;

        if(resY(l)<resY(r))
            r=midl-1;
        else
            l=midl;
    }

    //cout<<l<<" -- "<<r<<endl;


    res+=resY(l);


    l=0;
    r=maxi;

    while(l!=r)
    {
        midl=(l+r+1)/2;

        if(valY(l)<valY(r))
            r=midl-1;
        else
            l=midl;
    }


    res2+=valY(l);

    l=-maxi;
    r=maxi;

    while(r!=l)
    {
        midl=(l+r+1)/2;

        if(resX(l)<resX(r))
            r=midl-1;
        else
            l=midl;
    }

    res2+=resX(l);
    //cout<<res<<" "<<res2<<endl;

    cout<<min(res,res2)<<"\n";

    return 0;
}
/*
10
6 2
9 6
9 7
3 1
3 4
12 1
9 1
14 2
9 4
14 6
*/

