#include<iostream>
#include<vector>
#include<queue>

using namespace std;

int v[201][201];
int v2[201][201];
int cnt[201],cntAll;
vector<int> res;
int n,previ;

short usedDfs[201];


void dfs(int u)
{
    int i,j;

    if(u==1 && cnt[1]==0)
        return;

    //cout<<u<<endl;
    //cin.get();

    res.push_back(u);

    //usedDfs[u]=1;

    if(v[u][u])
    {
        v[u][u]--;
        cnt[u]--;
        cntAll--;
        dfs(u);
        usedDfs[u]=2;
        return;
    }

    for(i=1;i<=n;i++)
    {
        if(i==1 && cnt[1]==1 && cntAll!=1)
            continue;

        if(v[i][u] && !usedDfs[i] && i!=previ)
        {
            v[i][u]--;
            v[u][i]--;
            cnt[i]--;
            cnt[u]--;
            cntAll--;
            previ=u;
            dfs(i);
            usedDfs[u]=2;
            return;
        }
    }

    for(i=1;i<=n;i++)
    {
        if(i==1 && cnt[1]==1 && cntAll!=1)
            continue;

        if(v2[i][u] && i==previ && !usedDfs[i])
        {
            previ=u;
            usedDfs[u]=2;
            dfs(i);

            return;
        }
    }

    usedDfs[u]=2;
}

bool used[201];
int pr[201];

void bfs(int u,int f)
{
    queue<int> q;
    int x,i;

    q.push(u);

    used[u]=1;
    pr[u]=-1;

    while(!q.empty())
    {
        x=q.front();
        q.pop();
        //cout<<x<<endl;

        if(x==f)
            break;

        for(i=1;i<=n;i++)
            if(v2[x][i])
                if(!used[i])
                {
                    pr[i]=x;
                    used[i]=1;
                    q.push(i);
                }
    }

    x=pr[f];

    while(x!=-1)
    {
        //cout<<x<<endl;
        res.push_back(x);
        x=pr[x];
    }
}

int main ()
{
    int m,i,x,y;

    ios::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n>>m;

    for(i=0;i<m;i++)
    {
        cin>>x>>y;

        if(x==y)
        {
            v[x][x]++;
            v2[x][x]++;
            cnt[x]++;
        }
        else
        {
            v[x][y]++;
            v[y][x]++;
            v2[x][y]++;
            v2[y][x]++;
            cnt[x]++;
            cnt[y]++;
        }

    }

    cntAll=m;

    dfs(1);

    if(res[res.size()]-1!=1)
        bfs(1,res[res.size()-1]);

    cout<<res.size()-1<<"\n";

    for(i=0;i<res.size()-1;i++)
        cout<<res[i]<<" ";
    if(res.size())cout<<res[i]<<"\n";

    return 0;
}
/*
6 7
2 4
1 5
2 1
4 5
3 6
1 6
1 3
*/
/*
4 5
1 1
2 1
2 3
3 4
4 4
*/
