#include<iostream>
#include<cmath>
#include<algorithm>
struct soldier{
    long long x,y;
};
soldier sols[100001];
long long n;
long long checkx1(long long x){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].x-(x-1));
        val2+=std::abs(sols[i].x-x);
        val3+=std::abs(sols[i].x-(x+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
long long checky1(long long y){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].y-(y-1));
        val2+=std::abs(sols[i].y-y);
        val3+=std::abs(sols[i].y-(y+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
long long checkx2(long long x){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].x-(x+i-1));
        val2+=std::abs(sols[i].x-(x+i));
        val3+=std::abs(sols[i].x-(x+i+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
long long checky2(long long y){
    long long val1=0,val2=0,val3=0;
    for(long long i=0;i<n;i++){
        val1+=std::abs(sols[i].y-(y+i-1));
        val2+=std::abs(sols[i].y-(y+i));
        val3+=std::abs(sols[i].y-(y+i+1));
    }
    if(val2<=val1 && val2<=val3){
        return 0;
    }
    if(val1>val3){
        return -1;
    }
    return 1;
}
bool cmpx(soldier a,soldier b){
    return a.x<b.x;
}
bool cmpy(soldier a,soldier b){
    return a.y<b.y;
}
int main(){
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    std::cin>>n;
    for(long long i=0;i<n;i++){
        std::cin>>sols[i].x>>sols[i].y;
    }
    long long x1,y1,x2,y2;
    long long l=-10000000000,r=10000000000;
    while(l<r){
        long long m=(l+r)/2;
        long long res=checkx1(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    x1=l;
    l=-10000000000,r=10000000000;
    while(l<r){
        long long m=(l+r)/2;
        long long res=checky1(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    y1=l;
    std::sort(sols,sols+n,cmpx);
    l=-10000000000,r=10000000000;
    while(l<r){
        long long m=(l+r)/2;
        long long res=checkx2(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    x2=l;
    std::sort(sols,sols+n,cmpy);
    l=-10000000000,r=10000000000;
    while(l<r){
        long long m=(l+r)/2;
        long long res=checky2(m);
        if(res==0){
            l=r=m;
        }
        if(res==-1){
            l=m+1;
        }
        if(res==1){
            r=m-1;
        }
    }
    y2=l;
    long long res1=0,res2=0;
    for(long long i=0;i<n;i++){
        res1+=std::abs(sols[i].x-x1);
        res2+=std::abs(sols[i].y-y1);
        res1+=std::abs(sols[i].y-y2-i);
    }
    std::sort(sols,sols+n,cmpx);
    for(long long i=0;i<n;i++){
        res2+=std::abs(sols[i].x-x2-i);
    }
    std::cout<<std::min(res1,res2)<<std::endl;
    return 0;
}
