#include<iostream>
#include<queue>
#include<vector>
using namespace std;

int a[1005][1005];
bool used[1005];
vector<int> v;
int path=-1;
int n;

void read()
{
    int m;
    cin >> n >> m;

    int x,y;
    for(int i=0; i<m; i++)
    {
        cin >> x >> y;
        a[x][y]=1;
        a[y][x]=1;
    }
}

bool look()
{
    int br=0;
    for(int i=1; i<=n; i++)
        if(used[i]) br++;
    if(br==n) return true;
    return false;
}

void DFS(int start)
{
    v.push_back(start);

    int br=0;

    used[start]=true;
    for(int i=1; i<=n; i++)
        if(!used[i] && a[start][i]==1)
        {
            path++;
            br++;
            if(br>1)
            {
                path++;
                v.push_back(start);
            }
            DFS(i);
        }
}

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    read();

    used[1]=false;
    path++;
    DFS(1);

    cout << path+1 << endl;

    for(int i=0; i<v.size(); i++)
        cout << v[i] << " ";
    cout << 1 << endl;

    return 0;
}
