#include<iostream>
#include<queue>
#include<vector>
using namespace std;

int a[1005][1005];
int used[1005];
vector<int> v;
int path=0;
int n;

void read()
{
    int m;
    cin >> n >> m;

    int x,y;
    for(int i=0; i<m; i++)
    {
        cin >> x >> y;
        a[x][y]=1;
        a[x][0]++;
        a[y][x]=1;
        a[y][0]++;
    }
}

bool look()
{
    int br=0;
    for(int i=1; i<=n; i++)
        if(used[i]==a[i][0]) br++;
    if(br==n) return true;
    return false;
}

void DFS(int pred,int start)
{
    v.push_back(start);

    if(look()) return;

    int br=0;

    used[start]+=2;

    for(int i=1; i<=n; i++)
        if(i!=pred && used[i]<a[i][0] && a[start][i]==1)
        {
            path++;
            br++;

            used[start]+=2;
            if(br>1)
            {
                path++;
                v.push_back(start);
            }

            DFS(start,i);
        }
}

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    read();

    DFS(-1,1);

    cout << path+1 << endl;

    for(int i=0; i<path+1; i++)
        cout << v[i] << " ";
    cout << 1 << endl;

    return 0;
}
